<?php
 echo 'Plus grande valeur entière      : ';
 $grand_nombre = PHP_INT_MAX;
 var_dump($grand_nombre);      // sur 64 bits : int(9223372036854775807)

 echo 'Plus grande valeur entière  +1  : ';
 $grand_nombre = PHP_INT_MAX+1;
 var_dump($grand_nombre);      // sur 64 bits : float(9.2233720368548E+18)

 echo 'Plus petite valeur entière      : ';
 $petit_nombre = -PHP_INT_MAX-1;
 var_dump($petit_nombre);      // sur 64 bits : int(-9223372036854775808)

 echo 'Plus petite valeur entière  -1  : ';
 $petit_nombre = -PHP_INT_MAX-2;
 var_dump($petit_nombre);      // sur 64 bits : float(-9.2233720368548E+18)
?>
